> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobileboost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload build

> Upload an application build artifact (.apk for Android, .zip/.tar.gz for iOS) to use in test executions.



## OpenAPI

````yaml /openapi.json post /uploadBuild
openapi: 3.0.2
info:
  title: MobileBoost API
  version: 1.0.0
servers:
  - url: https://api.mobileboost.io
security:
  - BearerAuth: []
paths:
  /uploadBuild:
    post:
      summary: Upload build
      description: >-
        Upload an application build artifact (.apk for Android, .zip/.tar.gz for
        iOS) to use in test executions.
      operationId: upload_build
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/UploadBuild'
        required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  buildId:
                    type: string
                    description: The unique identifier for the uploaded build.
                  app_link:
                    type: string
                    description: >-
                      A direct link to the uploaded build in the MobileBoost
                      dashboard.
                required:
                  - buildId
                  - app_link
              example:
                buildId: abc123def456
                app_link: https://app.mobileboost.io/gpt-driver/build/abc123def456
components:
  schemas:
    UploadBuild:
      title: UploadBuild
      required:
        - build
        - organisation_key
        - platform
      type: object
      properties:
        build:
          title: Build
          type: string
          format: binary
          description: The build file (.apk for Android, .zip/.tar.gz for iOS).
        organisation_key:
          title: Organisation key
          type: string
          description: Your MobileBoost organisation key.
        platform:
          title: Platform
          type: string
          description: Target platform (`android` or `ios`).
        metadata:
          title: Metadata
          type: string
          description: Optional JSON metadata string.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````